@import url('https://fonts.googleapis.com/css2?family=Pixelify+Sans:wght@400..700&display=swap');
@import url("./buttons.css");

*,
*::before,
*::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background-color: #121212;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 1.4rem;
    font-family: 'Pixelify Sans', sans-serif;
    color: #efcf1d;
}

.menu {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 5rem;
    /* gap: 2rem; */
}

.menu .info {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

.menu .header {
    font-size: 6rem;
    font-weight: 700;
}

.buttons {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    transform: translateY(30%);
}

.game {
    display: none;
}

canvas {
    border: #000 solid 2px;
    border-radius: .2rem;
}

.game-ui {
    display: flex;
    justify-content: space-around;
    width: 736px;
    align-items: center;
}



.score {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.lives {
    display: flex;
    align-items: center;
    width: 128;
    gap: 1rem;
    transform: translateX(.05rem);
}

.level {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.settings {
    display: none;
    flex-direction: column;
    align-items: center;
    gap: 2rem;

    transform: translateY(20%);
}

.audio-level-indicator-container {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.key-settings {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
}

.key-select {
    display: none;
    flex-direction: column;
    align-items: center;
    gap: 1rem;

    overflow: hidden;

    animation: slideIn .5s ease-in forwards;
}

.key-selector {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
    justify-content: left;
    gap: 1rem;
}

.game-over {
    display: none;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    transform: translateY(20%);
}

.mobile-controlls {
    display: none;
    gap: 1rem;
}

@media screen and (max-width: 768px) {
    .mobile-controlls {
        display: flex;
        flex-direction: column;
        gap: .5rem;
        position: fixed;
        bottom: 1rem;
        align-items: center;
    }

    .game {
        position: fixed;
        top: -15%;

        scale: .55;
    }
}


@keyframes slideIn {
    from {
        transform: translateY(-100%);
        scale: 0;
    }

    to {
        transform: translateY(0);
        scale: 1;
    }
}

@keyframes slideOut {
    from {
        transform: translateY(0);
        scale: 1;
    }

    to {
        transform: translateY(-100%);
        scale: 0;
    }
}